Bug 1058981 (CVE-2014-1610)

Summary: CVE-2014-1610 mediawiki: remote code execution via uploaded DjVu or PDF files
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: extras-orphan, ian, limburgher, mike, puiterwijk
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140128,reported=20140128,source=internet,cvss2=6/AV:N/AC:M/Au:S/C:P/I:P/A:P,epel-6/mediawiki119=affected,epel-5/mediawiki=affected,fedora-all/mediawiki=affected
Fixed In Version: mediawiki 1.22.2, mediawiki 1.21.5, mediawiki 1.19.11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-16 17:39:51 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1058982, 1058983, 1058984    
Bug Blocks:    

Description Vincent Danen 2014-01-28 17:25:55 EST
It was reported [1] that MediaWiki suffers from a remote code execution vulnerability if you have enabled file upload support for DjVu (natively handled) or PDF files (in combination with the PdfHandler extension).  Neither file type is enabled by default in MediaWiki installations.

MediaWiki versions 1.22.2, 1.21.5, and 1.19.11 were released to correct this flaw.

[1] http://lists.wikimedia.org/pipermail/mediawiki-announce/2014-January/000140.html
Comment 1 Vincent Danen 2014-01-28 17:30:03 EST
Created mediawiki tracking bugs for this issue:

Affects: epel-5 [bug 1058983]
Affects: fedora-all [bug 1058984]
Comment 2 Vincent Danen 2014-01-28 17:30:07 EST
Created mediawiki119 tracking bugs for this issue:

Affects: epel-6 [bug 1058982]
Comment 3 Fedora Update System 2014-02-06 22:06:53 EST
mediawiki-1.21.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-02-06 22:09:10 EST
mediawiki-1.21.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-02-14 15:57:09 EST
mediawiki119-1.19.11-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Patrick Uiterwijk 2014-02-16 17:39:51 EST
Fedora 19 and 20 and EPEL 5 and 6 updates have been released. As such, this bug is now CLOSED ERRATA.